• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

RESOLVED Fatal Error with version 2.3.5

Messages
1
Likes
0
Points
1
#1
EDIT: I uninstalled and re-installed the plugin and everything worked again (all folders were there this time). Thankfully, my snippets were saved. Not sure why upgrading to 2.3.5 deleted some folders.

I'm running v2.3.5, and WP auto-disables the plugin because it throws the following error:

Warning: require_once(/home/ax/public_html/wp-content/plugins/insert-php/libs/factory/core/includes/class-factory-requirements.php): failed to open stream: No such file or directory in /home/ax/public_html/wp-content/plugins/insert-php/insert_php.php on line 81

Fatal error: require_once(): Failed opening required '/home/ax/public_html/wp-content/plugins/insert-php/libs/factory/core/includes/class-factory-requirements.php' (include_path='.:/usr/local/lib/php') in /home/ax/public_html/wp-content/plugins/insert-php/insert_php.php on line 81

I tried finding said file, but the directory "insert-php/libs/factory/core" does not exist. The only existing directories are "insert-php/libs/factory/bootstrap" and "insert-php/libs/factory/forms."

My server stats are as follows:
  • CPU Model: Intel(R) Xeon(R) CPU E5620 @ 2.40GHz
  • CPU Details: 16 Core (2394 MHz)
  • Distro Name: CentOS Linux release 7.8.2003 (Core)
  • Kernel Version: 3.10.0-1127.13.1.el7.x86_64
  • Platform: x86_64 (vmware)
  • Apache version: Apache/2.4.39
  • PHP version: 7.3.5
  • MySQL version: 10.1.45-MariaDB
  • Web Servers: nginx-apache
 
Last edited:

Temyk

Support team
Staff member
Messages
578
Likes
29
Points
28
#2
Hello.

Probably something went wrong when downloading the plugin.